Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
3ca4::/16
First address
3ca4::
Last address
3ca4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
3ca4:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
4.a.c.3.ip6.arpa
Split into smaller subnets/28

3ca4::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
13ca4::/283ca4:f:ffff:ffff:ffff:ffff:ffff:ffff
23ca4:10::/283ca4:1f:ffff:ffff:ffff:ffff:ffff:ffff
33ca4:20::/283ca4:2f:ffff:ffff:ffff:ffff:ffff:ffff
43ca4:30::/283ca4:3f:ffff:ffff:ffff:ffff:ffff:ffff
53ca4:40::/283ca4:4f:ffff:ffff:ffff:ffff:ffff:ffff
63ca4:50::/283ca4:5f:ffff:ffff:ffff:ffff:ffff:ffff
73ca4:60::/283ca4:6f:ffff:ffff:ffff:ffff:ffff:ffff
83ca4:70::/283ca4:7f:ffff:ffff:ffff:ffff:ffff:ffff
93ca4:80::/283ca4:8f:ffff:ffff:ffff:ffff:ffff:ffff
103ca4:90::/283ca4:9f:ffff:ffff:ffff:ffff:ffff:ffff
113ca4:a0::/283ca4:af:ffff:ffff:ffff:ffff:ffff:ffff
123ca4:b0::/283ca4:bf:ffff:ffff:ffff:ffff:ffff:ffff
133ca4:c0::/283ca4:cf:ffff:ffff:ffff:ffff:ffff:ffff
143ca4:d0::/283ca4:df:ffff:ffff:ffff:ffff:ffff:ffff
153ca4:e0::/283ca4:ef:ffff:ffff:ffff:ffff:ffff:ffff
163ca4:f0::/283ca4:ff:ffff:ffff:ffff:ffff:ffff:ffff
173ca4:100::/283ca4:10f:ffff:ffff:ffff:ffff:ffff:ffff
183ca4:110::/283ca4:11f:ffff:ffff:ffff:ffff:ffff:ffff
193ca4:120::/283ca4:12f:ffff:ffff:ffff:ffff:ffff:ffff
203ca4:130::/283ca4:13f:ffff:ffff:ffff:ffff:ffff:ffff
213ca4:140::/283ca4:14f:ffff:ffff:ffff:ffff:ffff:ffff
223ca4:150::/283ca4:15f:ffff:ffff:ffff:ffff:ffff:ffff
233ca4:160::/283ca4:16f:ffff:ffff:ffff:ffff:ffff:ffff
243ca4:170::/283ca4:17f:ffff:ffff:ffff:ffff:ffff:ffff
253ca4:180::/283ca4:18f:ffff:ffff:ffff:ffff:ffff:ffff
263ca4:190::/283ca4:19f:ffff:ffff:ffff:ffff:ffff:ffff
273ca4:1a0::/283ca4:1af:ffff:ffff:ffff:ffff:ffff:ffff
283ca4:1b0::/283ca4:1bf:ffff:ffff:ffff:ffff:ffff:ffff
293ca4:1c0::/283ca4:1cf:ffff:ffff:ffff:ffff:ffff:ffff
303ca4:1d0::/283ca4:1df:ffff:ffff:ffff:ffff:ffff:ffff
313ca4:1e0::/283ca4:1ef:ffff:ffff:ffff:ffff:ffff:ffff
323ca4:1f0::/283ca4:1ff:ffff:ffff:ffff:ffff:ffff:ffff
333ca4:200::/283ca4:20f:ffff:ffff:ffff:ffff:ffff:ffff
343ca4:210::/283ca4:21f:ffff:ffff:ffff:ffff:ffff:ffff
353ca4:220::/283ca4:22f:ffff:ffff:ffff:ffff:ffff:ffff
363ca4:230::/283ca4:23f:ffff:ffff:ffff:ffff:ffff:ffff
373ca4:240::/283ca4:24f:ffff:ffff:ffff:ffff:ffff:ffff
383ca4:250::/283ca4:25f:ffff:ffff:ffff:ffff:ffff:ffff
393ca4:260::/283ca4:26f:ffff:ffff:ffff:ffff:ffff:ffff
403ca4:270::/283ca4:27f:ffff:ffff:ffff:ffff:ffff:ffff
413ca4:280::/283ca4:28f:ffff:ffff:ffff:ffff:ffff:ffff
423ca4:290::/283ca4:29f:ffff:ffff:ffff:ffff:ffff:ffff
433ca4:2a0::/283ca4:2af:ffff:ffff:ffff:ffff:ffff:ffff
443ca4:2b0::/283ca4:2bf:ffff:ffff:ffff:ffff:ffff:ffff
453ca4:2c0::/283ca4:2cf:ffff:ffff:ffff:ffff:ffff:ffff
463ca4:2d0::/283ca4:2df:ffff:ffff:ffff:ffff:ffff:ffff
473ca4:2e0::/283ca4:2ef:ffff:ffff:ffff:ffff:ffff:ffff
483ca4:2f0::/283ca4:2ff:ffff:ffff:ffff:ffff:ffff:ffff
493ca4:300::/283ca4:30f:ffff:ffff:ffff:ffff:ffff:ffff
503ca4:310::/283ca4:31f:ffff:ffff:ffff:ffff:ffff:ffff
513ca4:320::/283ca4:32f:ffff:ffff:ffff:ffff:ffff:ffff
523ca4:330::/283ca4:33f:ffff:ffff:ffff:ffff:ffff:ffff
533ca4:340::/283ca4:34f:ffff:ffff:ffff:ffff:ffff:ffff
543ca4:350::/283ca4:35f:ffff:ffff:ffff:ffff:ffff:ffff
553ca4:360::/283ca4:36f:ffff:ffff:ffff:ffff:ffff:ffff
563ca4:370::/283ca4:37f:ffff:ffff:ffff:ffff:ffff:ffff
573ca4:380::/283ca4:38f:ffff:ffff:ffff:ffff:ffff:ffff
583ca4:390::/283ca4:39f:ffff:ffff:ffff:ffff:ffff:ffff
593ca4:3a0::/283ca4:3af:ffff:ffff:ffff:ffff:ffff:ffff
603ca4:3b0::/283ca4:3bf:ffff:ffff:ffff:ffff:ffff:ffff
613ca4:3c0::/283ca4:3cf:ffff:ffff:ffff:ffff:ffff:ffff
623ca4:3d0::/283ca4:3df:ffff:ffff:ffff:ffff:ffff:ffff
633ca4:3e0::/283ca4:3ef:ffff:ffff:ffff:ffff:ffff:ffff
643ca4:3f0::/283ca4:3ff:ffff:ffff:ffff:ffff:ffff:ffff
653ca4:400::/283ca4:40f:ffff:ffff:ffff:ffff:ffff:ffff
663ca4:410::/283ca4:41f:ffff:ffff:ffff:ffff:ffff:ffff
673ca4:420::/283ca4:42f:ffff:ffff:ffff:ffff:ffff:ffff
683ca4:430::/283ca4:43f:ffff:ffff:ffff:ffff:ffff:ffff
693ca4:440::/283ca4:44f:ffff:ffff:ffff:ffff:ffff:ffff
703ca4:450::/283ca4:45f:ffff:ffff:ffff:ffff:ffff:ffff
713ca4:460::/283ca4:46f:ffff:ffff:ffff:ffff:ffff:ffff
723ca4:470::/283ca4:47f:ffff:ffff:ffff:ffff:ffff:ffff
733ca4:480::/283ca4:48f:ffff:ffff:ffff:ffff:ffff:ffff
743ca4:490::/283ca4:49f:ffff:ffff:ffff:ffff:ffff:ffff
753ca4:4a0::/283ca4:4af:ffff:ffff:ffff:ffff:ffff:ffff
763ca4:4b0::/283ca4:4bf:ffff:ffff:ffff:ffff:ffff:ffff
773ca4:4c0::/283ca4:4cf:ffff:ffff:ffff:ffff:ffff:ffff
783ca4:4d0::/283ca4:4df:ffff:ffff:ffff:ffff:ffff:ffff
793ca4:4e0::/283ca4:4ef:ffff:ffff:ffff:ffff:ffff:ffff
803ca4:4f0::/283ca4:4ff:ffff:ffff:ffff:ffff:ffff:ffff
813ca4:500::/283ca4:50f:ffff:ffff:ffff:ffff:ffff:ffff
823ca4:510::/283ca4:51f:ffff:ffff:ffff:ffff:ffff:ffff
833ca4:520::/283ca4:52f:ffff:ffff:ffff:ffff:ffff:ffff
843ca4:530::/283ca4:53f:ffff:ffff:ffff:ffff:ffff:ffff
853ca4:540::/283ca4:54f:ffff:ffff:ffff:ffff:ffff:ffff
863ca4:550::/283ca4:55f:ffff:ffff:ffff:ffff:ffff:ffff
873ca4:560::/283ca4:56f:ffff:ffff:ffff:ffff:ffff:ffff
883ca4:570::/283ca4:57f:ffff:ffff:ffff:ffff:ffff:ffff
893ca4:580::/283ca4:58f:ffff:ffff:ffff:ffff:ffff:ffff
903ca4:590::/283ca4:59f:ffff:ffff:ffff:ffff:ffff:ffff
913ca4:5a0::/283ca4:5af:ffff:ffff:ffff:ffff:ffff:ffff
923ca4:5b0::/283ca4:5bf:ffff:ffff:ffff:ffff:ffff:ffff
933ca4:5c0::/283ca4:5cf:ffff:ffff:ffff:ffff:ffff:ffff
943ca4:5d0::/283ca4:5df:ffff:ffff:ffff:ffff:ffff:ffff
953ca4:5e0::/283ca4:5ef:ffff:ffff:ffff:ffff:ffff:ffff
963ca4:5f0::/283ca4:5ff:ffff:ffff:ffff:ffff:ffff:ffff
973ca4:600::/283ca4:60f:ffff:ffff:ffff:ffff:ffff:ffff
983ca4:610::/283ca4:61f:ffff:ffff:ffff:ffff:ffff:ffff
993ca4:620::/283ca4:62f:ffff:ffff:ffff:ffff:ffff:ffff
1003ca4:630::/283ca4:63f:ffff:ffff:ffff:ffff:ffff:ffff
1013ca4:640::/283ca4:64f:ffff:ffff:ffff:ffff:ffff:ffff
1023ca4:650::/283ca4:65f:ffff:ffff:ffff:ffff:ffff:ffff
1033ca4:660::/283ca4:66f:ffff:ffff:ffff:ffff:ffff:ffff
1043ca4:670::/283ca4:67f:ffff:ffff:ffff:ffff:ffff:ffff
1053ca4:680::/283ca4:68f:ffff:ffff:ffff:ffff:ffff:ffff
1063ca4:690::/283ca4:69f:ffff:ffff:ffff:ffff:ffff:ffff
1073ca4:6a0::/283ca4:6af:ffff:ffff:ffff:ffff:ffff:ffff
1083ca4:6b0::/283ca4:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1093ca4:6c0::/283ca4:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1103ca4:6d0::/283ca4:6df:ffff:ffff:ffff:ffff:ffff:ffff
1113ca4:6e0::/283ca4:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1123ca4:6f0::/283ca4:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1133ca4:700::/283ca4:70f:ffff:ffff:ffff:ffff:ffff:ffff
1143ca4:710::/283ca4:71f:ffff:ffff:ffff:ffff:ffff:ffff
1153ca4:720::/283ca4:72f:ffff:ffff:ffff:ffff:ffff:ffff
1163ca4:730::/283ca4:73f:ffff:ffff:ffff:ffff:ffff:ffff
1173ca4:740::/283ca4:74f:ffff:ffff:ffff:ffff:ffff:ffff
1183ca4:750::/283ca4:75f:ffff:ffff:ffff:ffff:ffff:ffff
1193ca4:760::/283ca4:76f:ffff:ffff:ffff:ffff:ffff:ffff
1203ca4:770::/283ca4:77f:ffff:ffff:ffff:ffff:ffff:ffff
1213ca4:780::/283ca4:78f:ffff:ffff:ffff:ffff:ffff:ffff
1223ca4:790::/283ca4:79f:ffff:ffff:ffff:ffff:ffff:ffff
1233ca4:7a0::/283ca4:7af:ffff:ffff:ffff:ffff:ffff:ffff
1243ca4:7b0::/283ca4:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1253ca4:7c0::/283ca4:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1263ca4:7d0::/283ca4:7df:ffff:ffff:ffff:ffff:ffff:ffff
1273ca4:7e0::/283ca4:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1283ca4:7f0::/283ca4:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1293ca4:800::/283ca4:80f:ffff:ffff:ffff:ffff:ffff:ffff
1303ca4:810::/283ca4:81f:ffff:ffff:ffff:ffff:ffff:ffff
1313ca4:820::/283ca4:82f:ffff:ffff:ffff:ffff:ffff:ffff
1323ca4:830::/283ca4:83f:ffff:ffff:ffff:ffff:ffff:ffff
1333ca4:840::/283ca4:84f:ffff:ffff:ffff:ffff:ffff:ffff
1343ca4:850::/283ca4:85f:ffff:ffff:ffff:ffff:ffff:ffff
1353ca4:860::/283ca4:86f:ffff:ffff:ffff:ffff:ffff:ffff
1363ca4:870::/283ca4:87f:ffff:ffff:ffff:ffff:ffff:ffff
1373ca4:880::/283ca4:88f:ffff:ffff:ffff:ffff:ffff:ffff
1383ca4:890::/283ca4:89f:ffff:ffff:ffff:ffff:ffff:ffff
1393ca4:8a0::/283ca4:8af:ffff:ffff:ffff:ffff:ffff:ffff
1403ca4:8b0::/283ca4:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1413ca4:8c0::/283ca4:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1423ca4:8d0::/283ca4:8df:ffff:ffff:ffff:ffff:ffff:ffff
1433ca4:8e0::/283ca4:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1443ca4:8f0::/283ca4:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1453ca4:900::/283ca4:90f:ffff:ffff:ffff:ffff:ffff:ffff
1463ca4:910::/283ca4:91f:ffff:ffff:ffff:ffff:ffff:ffff
1473ca4:920::/283ca4:92f:ffff:ffff:ffff:ffff:ffff:ffff
1483ca4:930::/283ca4:93f:ffff:ffff:ffff:ffff:ffff:ffff
1493ca4:940::/283ca4:94f:ffff:ffff:ffff:ffff:ffff:ffff
1503ca4:950::/283ca4:95f:ffff:ffff:ffff:ffff:ffff:ffff
1513ca4:960::/283ca4:96f:ffff:ffff:ffff:ffff:ffff:ffff
1523ca4:970::/283ca4:97f:ffff:ffff:ffff:ffff:ffff:ffff
1533ca4:980::/283ca4:98f:ffff:ffff:ffff:ffff:ffff:ffff
1543ca4:990::/283ca4:99f:ffff:ffff:ffff:ffff:ffff:ffff
1553ca4:9a0::/283ca4:9af:ffff:ffff:ffff:ffff:ffff:ffff
1563ca4:9b0::/283ca4:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1573ca4:9c0::/283ca4:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1583ca4:9d0::/283ca4:9df:ffff:ffff:ffff:ffff:ffff:ffff
1593ca4:9e0::/283ca4:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1603ca4:9f0::/283ca4:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1613ca4:a00::/283ca4:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1623ca4:a10::/283ca4:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1633ca4:a20::/283ca4:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1643ca4:a30::/283ca4:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1653ca4:a40::/283ca4:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1663ca4:a50::/283ca4:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1673ca4:a60::/283ca4:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1683ca4:a70::/283ca4:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1693ca4:a80::/283ca4:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1703ca4:a90::/283ca4:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1713ca4:aa0::/283ca4:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1723ca4:ab0::/283ca4:abf:ffff:ffff:ffff:ffff:ffff:ffff
1733ca4:ac0::/283ca4:acf:ffff:ffff:ffff:ffff:ffff:ffff
1743ca4:ad0::/283ca4:adf:ffff:ffff:ffff:ffff:ffff:ffff
1753ca4:ae0::/283ca4:aef:ffff:ffff:ffff:ffff:ffff:ffff
1763ca4:af0::/283ca4:aff:ffff:ffff:ffff:ffff:ffff:ffff
1773ca4:b00::/283ca4:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1783ca4:b10::/283ca4:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1793ca4:b20::/283ca4:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1803ca4:b30::/283ca4:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1813ca4:b40::/283ca4:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1823ca4:b50::/283ca4:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1833ca4:b60::/283ca4:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1843ca4:b70::/283ca4:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1853ca4:b80::/283ca4:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1863ca4:b90::/283ca4:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1873ca4:ba0::/283ca4:baf:ffff:ffff:ffff:ffff:ffff:ffff
1883ca4:bb0::/283ca4:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1893ca4:bc0::/283ca4:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1903ca4:bd0::/283ca4:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1913ca4:be0::/283ca4:bef:ffff:ffff:ffff:ffff:ffff:ffff
1923ca4:bf0::/283ca4:bff:ffff:ffff:ffff:ffff:ffff:ffff
1933ca4:c00::/283ca4:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1943ca4:c10::/283ca4:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1953ca4:c20::/283ca4:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1963ca4:c30::/283ca4:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1973ca4:c40::/283ca4:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1983ca4:c50::/283ca4:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1993ca4:c60::/283ca4:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2003ca4:c70::/283ca4:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2013ca4:c80::/283ca4:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2023ca4:c90::/283ca4:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2033ca4:ca0::/283ca4:caf:ffff:ffff:ffff:ffff:ffff:ffff
2043ca4:cb0::/283ca4:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2053ca4:cc0::/283ca4:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2063ca4:cd0::/283ca4:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2073ca4:ce0::/283ca4:cef:ffff:ffff:ffff:ffff:ffff:ffff
2083ca4:cf0::/283ca4:cff:ffff:ffff:ffff:ffff:ffff:ffff
2093ca4:d00::/283ca4:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2103ca4:d10::/283ca4:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2113ca4:d20::/283ca4:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2123ca4:d30::/283ca4:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2133ca4:d40::/283ca4:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2143ca4:d50::/283ca4:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2153ca4:d60::/283ca4:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2163ca4:d70::/283ca4:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2173ca4:d80::/283ca4:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2183ca4:d90::/283ca4:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2193ca4:da0::/283ca4:daf:ffff:ffff:ffff:ffff:ffff:ffff
2203ca4:db0::/283ca4:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2213ca4:dc0::/283ca4:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2223ca4:dd0::/283ca4:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2233ca4:de0::/283ca4:def:ffff:ffff:ffff:ffff:ffff:ffff
2243ca4:df0::/283ca4:dff:ffff:ffff:ffff:ffff:ffff:ffff
2253ca4:e00::/283ca4:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2263ca4:e10::/283ca4:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2273ca4:e20::/283ca4:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2283ca4:e30::/283ca4:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2293ca4:e40::/283ca4:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2303ca4:e50::/283ca4:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2313ca4:e60::/283ca4:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2323ca4:e70::/283ca4:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2333ca4:e80::/283ca4:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2343ca4:e90::/283ca4:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2353ca4:ea0::/283ca4:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2363ca4:eb0::/283ca4:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2373ca4:ec0::/283ca4:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2383ca4:ed0::/283ca4:edf:ffff:ffff:ffff:ffff:ffff:ffff
2393ca4:ee0::/283ca4:eef:ffff:ffff:ffff:ffff:ffff:ffff
2403ca4:ef0::/283ca4:eff:ffff:ffff:ffff:ffff:ffff:ffff
2413ca4:f00::/283ca4:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2423ca4:f10::/283ca4:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2433ca4:f20::/283ca4:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2443ca4:f30::/283ca4:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2453ca4:f40::/283ca4:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2463ca4:f50::/283ca4:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2473ca4:f60::/283ca4:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2483ca4:f70::/283ca4:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2493ca4:f80::/283ca4:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2503ca4:f90::/283ca4:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2513ca4:fa0::/283ca4:faf:ffff:ffff:ffff:ffff:ffff:ffff
2523ca4:fb0::/283ca4:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2533ca4:fc0::/283ca4:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2543ca4:fd0::/283ca4:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2553ca4:fe0::/283ca4:fef:ffff:ffff:ffff:ffff:ffff:ffff
2563ca4:ff0::/283ca4:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses